Version File Reference
`#include <osgSim/Export>`

Go to the source code of this file.

## Macros

#define | OSGSIM_VERSION 1

## Functions

OSGSIM_EXPORT const char * | osgSimGetVersion ()
OSGSIM_EXPORT const char * | osgSimGetLibraryName ()

## Macro Definition Documentation

## OSGSIM_VERSION

#define OSGSIM_VERSION 1

## Function Documentation

## osgSimGetLibraryName()

OSGSIM_EXPORT const char * osgSimGetLibraryName | ( |  | ) |

extern

osgSimGetLibraryName() returns the library name in human friendly form.

References OSGSIM_EXPORT.

## osgSimGetVersion()

OSGSIM_EXPORT const char * osgSimGetVersion | ( |  | ) |

extern

osgSimGetVersion() returns the library version number. Numbering convention : OpenSceneGraph-1.0 will return 1.0 from osgSimGetVersion.

This C function can be also used to check for the existence of the OpenSceneGraph library using autoconf and its m4 macro AC_CHECK_LIB.

Here is the code to add to your configure.in:

    #
    # Check for the OpenSceneGraph (OSG) Sim library
    #
    AC_CHECK_LIB(osg, osgSimGetVersion, ,
       [AC_MSG_ERROR(OpenSceneGraph Sim library not found. See http://www.openscenegraph.org)],)

References OSGSIM_EXPORT.